﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Data;

namespace ComboBoxInRadDataForm
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			List<Person> persons = new List<Person>();

			// A sample list of source objects for the RadDataForm. 
			persons.Add(new Person() { FirstName = "John", LastName = "Smith", CountryID = 1 });
			persons.Add(new Person() { FirstName = "Angelo", LastName = "Romano", CountryID = 2 });
			persons.Add(new Person() { FirstName = "Jean", LastName = "Michel", CountryID = 3 });

			this.RadDataForm1.ItemsSource = persons;
		}

		/// <summary>
		/// Generats a sample list of countries. 
		/// </summary>
		/// <returns></returns>
		private List<Country> GetCountries()
		{
			List<Country> countries = new List<Country>();

			countries.Add(new Country() { ID = 1, Name = "USA" });
			countries.Add(new Country() { ID = 2, Name = "Italy" });
			countries.Add(new Country() { ID = 3, Name = "France" });
			countries.Add(new Country() { ID = 4, Name = "Canada" });

			return countries;
		}

		private void RadDataForm_AutoGeneratingField(object sender, Telerik.Windows.Controls.Data.DataForm.AutoGeneratingFieldEventArgs e)
		{
			if (e.PropertyName == "CountryID")
			{
				e.DataField = new DataFormComboBoxField()
				{
					Label = "My Combo Field",
					Description = "My description...",
					ItemsSource = this.GetCountries(),
					SelectedValuePath = "ID",
					DisplayMemberPath = "Name",
					DataMemberBinding = new Binding("CountryID") { Mode = BindingMode.TwoWay }
				};
			}
		}
	}
}
